# Interface IvyArtifactRepositoryMetaDataProvider

@Incubating public interface IvyArtifactRepositoryMetaDataProvider
The meta-data provider for an Ivy repository. Uses the Ivy module descriptor (`ivy.xml`) to determine the meta-data for module versions and artifacts.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isDynamicMode()`
Returns true if dynamic resolve mode should be used for Ivy modules.
`void`
`setDynamicMode(boolean mode)`
Specifies whether dynamic resolve mode should be used for Ivy modules.

## Method Details

### isDynamicMode

boolean isDynamicMode()
Returns true if dynamic resolve mode should be used for Ivy modules. When enabled, the `revConstraint` attribute for each dependency declaration is used in preference to the `rev` attribute. When disabled (the default), the `rev` attribute is always used.

### setDynamicMode

void setDynamicMode(boolean mode)
Specifies whether dynamic resolve mode should be used for Ivy modules. When enabled, the `revConstraint` attribute for each dependency declaration is used in preference to the `rev` attribute. When disabled (the default), the `rev` attribute is always used.